Ubuntu

Intel Core i3 External Monitor Wavy Output

Reported by Alan Lord on 2010-08-06
410
This bug affects 68 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
linux (Ubuntu)
Medium
Seth Forshee
Natty
Medium
Seth Forshee
Oneiric
High
Seth Forshee
Precise
Medium
Seth Forshee

Bug Description

== SRU Justification ==

Impact: On some machines with an Ibex Peak PCH, SSC will be enabled on the clock source used for analog outputs. This results in poor quality output (described as "wavy") on the external display.

Fix: A series of upstream backports to the i915 driver. With these backports, i915 will check for the existence of a CK505 clock source, and if present this is used as the clock source for analog outputs so that SSC can remain enabled. Otherwise SSC is disabled. The PCH refclk update code is also split out so that it can be called from additional locations where the refclks should be updated.

Test Case: Running with backports on an affected system will fix quality issues on VGA outputs. Verified for oneiric on LP #614238.

---

A similar problem with Lucid was reported mainly by users of ATi Radeon graphics hardware. I also experienced the "wavy" output in Lucid, although the graphics h/w is the integrated intel that comes with the Core i3 processors.

It is easy to reproduce. Just plug in an external monitor or projector. The output is not stable/solid and has waves that make it unusable.

I tried the Maverick Alpha3 to see if it had been addressed in the 2.6.35 kernel but the problem is still apparent.

The LCD display of the Laptop is rock solid and sharp. This only affects the external VGA from what I can tell. I do not have any hdmi devices to test with so cannot confirm if the symptoms are just VGA or any external monitor connection.

Similar bug reports from Lucid include: 537640, 541501, 557814, 562138 although these all seem to relate to the ATI chipsets, the description of the problem sounds the same.

I am happy to try upstream kernels and build/patch/compile if necessary.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-2.6.35-14-generic 2.6.35-14.19
Regression: No
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.35-14.19-generic 2.6.35
Uname: Linux 2.6.35-14-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: alord 1578 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc700000 irq 46'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:10ec0269,144dc06a,00100004 HDA:80862804,80860101,00100000'
   Controls : 19
   Simple ctrls : 9
Date: Fri Aug 6 07:47:00 2010
HibernationDevice: RESUME=UUID=bc66e046-4afc-4cb6-aa3e-d0f114e960e3
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha i386 (20100803.1)
Lsusb:
 Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 003: ID 1210:25f4 DigiTech
 Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: SAMSUNG ELECTRONICS CO., LTD. R530/R730
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-14-generic root=UUID=3364d8e7-11e8-4000-a32e-8bfca4cac5aa ro quiet splash
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.37
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
dmi.bios.date: 03/12/2010
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: 03JV.M011.20100312.hkk
dmi.board.asset.tag: Tag 12345
dmi.board.name: R530/R730
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr03JV.M011.20100312.hkk:bd03/12/2010:svnSAMSUNGELECTRONICSCO.,LTD.:pnR530/R730:pvrNotApplicable:rvnSAMSUNGELECTRONICSCO.,LTD.:rnR530/R730:rvrNotApplicable:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvrN/A:
dmi.product.name: R530/R730
dmi.product.version: Not Applicable
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

Alan Lord (theopensourcerer) wrote :
Alan Lord (theopensourcerer) wrote :

Here is a similar sounding bug# 600407 although this one refers to a desktop by the sound of it and the reporter indicates it might be a regression after 2.6.31-16.

Alan Lord (theopensourcerer) wrote :

I found a 2.6.31-13 Karmic kernel image in http://kernel.ubuntu.com/~kernel-ppa/mainline/ and tried that.

Unfortunately the wavyness was still present.

The whole desktop also locked-up shortly after logging in so it wasn't much of a test I'm afraid. Booted into the Maveric kernel and disabled Compiz. Then rebooted back into the 2.6.31 kernel. The desktop no longer locks up but the external display still has the wavyness.

One other point to note is that neither kernel is correctly detecting the external monitor via EDID. The maximum resolution I can set for the external monitor is 1360x768. My monitor is a native 2048x1152 Samsung 2343BW. Although the wavyness also occurs on an external 1024x768 projector too.

Any other suggestions to help track this down?

Alan Lord (theopensourcerer) wrote :

Further update. I went out and bought an HDMI cable as my new TV has HDMI.

I've just booted my laptop on the current Lucid kernel and plugged it into my TV using HDMI. The supported screen resolutions are detected and the display on the TV is rock solid.

So it looks like it's a VGA output issue.

Hope this helps.

Maxime Chéramy (maxime81) wrote :

It looks like I have the same issue with my Core i5 :

https://bugs.freedesktop.org/show_bug.cgi?id=28306

kernel-janitor (kernel-janitor) wrote :

Hi Alan,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Gene Moreau (anothergene) wrote :

I have already tested a similar (if not the same) bug, 600407, affecting Karmic with the upstream kernels and it showed no improvement.

Alan Lord (theopensourcerer) wrote :

Just tried linux 2.6.35-14-generic (latest build from the mainline ppa http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.35-maverick/) with the same results.

Still the wavy output.

tags: added: lucid
removed: needs-upstream-testing
Alan Bell (alanbell) on 2010-09-04
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux:
importance: Unknown → High
status: Unknown → Confirmed
Kent Lin (kent-jclin) on 2010-09-15
description: updated
Benjamim Gois (benjamim-gois) wrote :

I have the same problem here with my core i5 external monitor. I'm running maverick 10.10 RC with kernel 2.6.35-22

Carlos Chiquete (bulldogfront) wrote :

I've been having the exact same problem with my Core i5 Lenovo Y460 laptop (64bit). I've updated various kernel's but to no avail. It is really frustrating specially since the radeon modeset workaround I found on another bug thread actually worked for my other laptop which is a 32bit Lenovo Thinkpad T60.

Daniele Dellafiore (ildella) wrote :

Same problem with core i5 on Dell V3300, maverick up to date.

Hi, I have the same problem with a Dell Vostro 3300, i3 processor, Intel
integrated graphic controller.

I have this issue since June that I bought my Dell. The problem appears with my Acer
projector and also with a new Packard Bell flat screen, only that with this last one
sometimes the image flicker and sometimes doesn't appear, just I get a blank screen.

I was looking for on internet and there are a lot of reports of this problem, not
only with Dell also with other brands. Tthere is a guy that says that he have a solution but to apply it he
suggest to download and install a special 2.6 kernel version , I don't like a
lot the idea, this is the link:

http://beyondteck.blogspot.com/2010/05/flickering-monitor-in-ubuntu-1004-for.html

Could be possible that it's a solution?

I'm working with the latest kernel that I can download from the update manager: :

Release 10.10 (maverick)
Kernel Linux 2.6.35-22-generic
GNOME 2.32.0

If you need more information, just let me know. I'm relatively newby in linux
but I have a lot of years in IT.

Regards.

Alan Lord (theopensourcerer) wrote :

#12 The link you refer to is for issues with ATI graphics cards.

I am not sure if that is the same or a different bug to this one which is for intel Core i3 & what looks like Core i5 chips.

If you have a DVI or HDMI output these seem to work fine. The problem appears only on the VGA output.

Zsolt Présing (presingzs) wrote :

Hi, I have just installed this kernel:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.36-maverick/
and this bug still exists on a Dell Vostro 3300 Intel Core i5 .

I have the same problem on a Thinkpad R60 with ATI card, but in that case the "nomodeset" or "radeon.modeset=0" kernel parameter helps!

If I try to set "nomodeset" or "i915.modeset=0" for Intel i5, than X server crashes immediately!

I can see installable packages in the standard repository related to intel core i5 microcode. Do you think that installing those microcode packages could help? I dont think so but who knows?

danabel (dan-danabel) wrote :

I've got a Toshiba C650-19T with an i3 and the same problem.

I've tried installing kernel 2.3.36 with no joy. I've also tried installing xserver-xorg-video-intel 2:2.13.0 by adding "http://ppa.launchpad.net/glasen/intel-driver/ubuntu maverick main" to my sources, but still no change.

cherep (acherep) wrote :

I have the same problem on my Lenovo z360 running Maverick 64bit. Any picture is flickering on an external monitor. However my z360 is with nVidia Optimus Technology, therefore I have:
01:00.0 VGA compatible controller: nVidia Corporation GT218 [GeForce 310M] (rev a2)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 12)

Daniele Dellafiore (ildella) wrote :

In the upstream issue, the maintainer pointed out that it a KMS issue and is not related to the intel driver.
Maybe is the case to open an upstream issue elsewhere, what do you think? what's the propere place to track KMS issue?

Daniele Dellafiore (ildella) wrote :

A new upstream bug has been opened at kernel.org
https://bugzilla.kernel.org/show_bug.cgi?id=21742

Jimmy Wylie (jimbodwin) wrote :

same problem, thinkpad t410s, intel i5-540m

Daniele Dellafiore (ildella) wrote :

Comment #9 and #10 on kernel.org bug https://bugzilla.kernel.org/show_bug.cgi?id=21742#c9
reveals something that is extracted from an old comment on one of the duplicates of this bug, proposing a diff file between the two kernel version that seems to having introduced the bug.
Anyone can tell more?

Prada (pradacr) wrote :

Same problem with my new Toshiba c645 with an Intel P6100 cpu which has the same "VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)" as the Core i processors.
This laptop has only VGA, no HDMI, too bad.

Prada (pradacr) wrote :

Could we all pay somebody to fix the problem?
I also have the problem of my mic and ear jacks not working, I suppose Core i people to have the same problem on Ubuntu 10.10.
Its so frustrating to have my external 1080 LCD and speakers just taking a place on my desk!

I have no problem with mic and phone exit on V3300 while experiencing the
vga output issue.

Anyway, the vga output problem is related to this kernel bug:
https://bugzilla.kernel.org/show_bug.cgi?id=21742

On Mon, Dec 13, 2010 at 4:10 AM, <email address hidden> <email address hidden>wrote:

> Could we all pay somebody to fix the problem?
> I also have the problem of my mic and ear jacks not working, I suppose Core
> i people to have the same problem on Ubuntu 10.10.
> Its so frustrating to have my external 1080 LCD and speakers just taking a
> place on my desk!
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/614238
>
> Title:
> Intel Core i3 External Monitor Wavy Output
>

--
Daniele Dellafiore
http://danieledellafiore.net

Hannes Fritz (hannes-fritz) wrote :

Same problem with VGA output here: Shuttle SH55J2 barebone, Intel Core i3, Ubuntu 10.10. I currently use a Philips VGA TFT screen till my HDMI/DVI adapter arrives.

Setting the screen refresh rate from 60 to 75Hz has brought a little improvement, nevertheless it's unusable.

Daniele Dellafiore (ildella) wrote :

FYI, a patch has been proposed upstream on January 12.

Daniele Dellafiore (ildella) wrote :

The patch have been merged but into the -next kernel branch.
I think this means no patch in 2.6.38 yet. This is sad cause just today has been announched that Natty will use 2.6.38 but we won't have this fixen till next 6 month at least.

Daniele Dellafiore (ildella) wrote :

Sorry I forget, the patch is here:
https://bugs.freedesktop.org/show_bug.cgi?id=28306

See comment 57 and 60.

Changed in linux:
importance: High → Unknown
status: Confirmed → Fix Released
Gene Moreau (anothergene) wrote :

So what does that man for older kernels like 2.6.32?

Maxime Chéramy (maxime81) wrote :

The 2.6.32 kernel is not compatible with the latest intel graphic drivers and the chipset is working only with those drivers...

Changed in linux:
importance: Unknown → High
Changed in linux:
status: Fix Released → Confirmed
Eric Carroll (eric-carroll) wrote :

Just a note to the ticket that the upstream fix was withdrawn 28 Feb, but upstream still shows it as resolved/patch available.

http://lists.freedesktop.org/archives/dri-devel/2011-February/008869.html

Victor Tuson Palau (vtuson) wrote :

this bug is part of a certified system (vostro 3300) which was enabled, so I am assigning it to the HWE team

Changed in linux (Ubuntu):
assignee: nobody → Chris Van Hoof (vanhoof)
tags: added: blocks-hwcert
Jeremy Foshee (jeremyfoshee) wrote :

Assigning to CKT to investigate the patch. Milestone to natty-updates.

~JFo

Changed in linux (Ubuntu Natty):
milestone: none → natty-updates
importance: Undecided → Medium
status: Confirmed → Triaged
assignee: Chris Van Hoof (vanhoof) → Canonical Kernel Team (canonical-kernel-team)
joujek (joujek) wrote :

I have the same problem with my Vostro 3300, i5, Intel HD, Ubuntu Natty 64bit... I was trying everithing from every thread and forum. My external VGA still flickering

T Martin (mortramalt) wrote :

Have this issue with Ubuntu 11.04. Toshiba Satellite L645 laptop and Intel Integrated Graphics display.

I can get a temporary workaround by doing the following:

1) Open the laptop lid
2) Fn + F5 to scroll vid-modes, switches to "duplicate display", output fine on both heads but not desired res. on external.
3) Monitors > uncheck duplicate display, move external to primary position > Apply
4) Set desired resolution on external display > Apply
5) Turn off laptop display > Apply. Everything OK.

if 3, 4 and 5 are done in one step, it seems to hang X in a black screen state w/ only mouse cursor visible.

When I reboot or detach/reattach the external monitor, I get a purple wobble or blank screen on the external monitor and have to repeat steps 1 through 5. Sometimes I have to kill X to get back up. Is this an issue only w/ 64-bit Ubuntu? I'd happily switch to the 32-bit version to avoid it.

Stuart Smith (stuart-roguex) wrote :

I also have this issue with the latest Ubuntu 11. Toshiba Satellite C650 19T. When will there be a fix?

Prada (pradacr) wrote :

Hi T Maritn, I just fresh installed Ubuntu 11.04 32 bits on a Toshiba c645 (P6100 cpu integrated graphics) and have exactly the same problems.
This laptop does not have HDMI, only VGA, too bad.
I'll try your solution and report here.

Prada (pradacr) wrote :

By the way, there are other problems with Intel Graphics on Linux.
For example, if I use "xset dpms force off" to turn off the laptop screen I get a frozen pc where only the mouse pointer moves. Then I have to force a shut down with the power button.

 I wish Intel did something about its buggy driver!

T Martin (mortramalt) wrote :
Download full text (4.5 KiB)

It may be a problem with Compiz. I have not yet run into the problem with
Xubuntu 11.04 on the same machine.

On Sun, May 1, 2011 at 12:57, Prada <email address hidden> wrote:

> By the way, there are other problems with Intel Graphics on Linux.
> For example, if I use "xset dpms force off" to turn off the laptop screen I
> get a frozen pc where only the mouse pointer moves. Then I have to force a
> shut down with the power button.
>
> I wish Intel did something about its buggy driver!
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/614238
>
> Title:
> Intel Core i3 External Monitor Wavy Output
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Triaged
> Status in “linux” source package in Natty:
> Triaged
>
> Bug description:
> A similar problem with Lucid was reported mainly by users of ATi
> Radeon graphics hardware. I also experienced the "wavy" output in
> Lucid, although the graphics h/w is the integrated intel that comes
> with the Core i3 processors.
>
> It is easy to reproduce. Just plug in an external monitor or
> projector. The output is not stable/solid and has waves that make it
> unusable.
>
> I tried the Maverick Alpha3 to see if it had been addressed in the
> 2.6.35 kernel but the problem is still apparent.
>
> The LCD display of the Laptop is rock solid and sharp. This only
> affects the external VGA from what I can tell. I do not have any hdmi
> devices to test with so cannot confirm if the symptoms are just VGA or
> any external monitor connection.
>
> Similar bug reports from Lucid include: 537640, 541501, 557814, 562138
> although these all seem to relate to the ATI chipsets, the description
> of the problem sounds the same.
>
> I am happy to try upstream kernels and build/patch/compile if
> necessary.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: linux-image-2.6.35-14-generic 2.6.35-14.19
> Regression: No
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.35-14.19-generic 2.6.35
> Uname: Linux 2.6.35-14-generic i686
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: alord 1578 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xfc700000 irq 46'
> Mixer name : 'Intel IbexPeak HDMI'
> Components : 'HDA:10ec0269,144dc06a,00100004
> HDA:80862804,80860101,00100000'
> Controls : 19
> Simple ctrls : 9
> Date: Fri Aug 6 07:47:00 2010
> HibernationDevice: RESUME=UUID=bc66e046-4afc-4cb6-aa3e-d0f114e960e3
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha i386
> (20100803.1)
> Lsusb:
> Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
> Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 001 Device...

Read more...

Stuart Smith (stuart-roguex) wrote :

Thank you for the info T Martin. I have tried Fedora and had the same issue so I did not try any other Distros out. I will give xubuntu a try tonight and see if the problem persists.

Hi,

I remember you that I have a Vostro 3300, i3 with a Intel card. At the moment, the VGA screen was waving.
Yesterday I updated my Ubuntu to the version 11.04 (natty), kernel version 2.6.38-8-generic, and now the external screen doesn't work at all.

If I plug it at the begging, the behaviour is similar as it was, waving and sometimes a line with strange colours. But after I login in, I can't see anything, just the mouse cursor, only part of it, a frozen screen or the system tray (but I can move windows to my external screen).

The flickery/wavy screen is allways there. May be is it a new bug?

Kind regards,
Fernando Hidalgo

Stuart Smith (stuart-roguex) wrote :

T Martin I tried Xubuntu with the exact same problem. So it persists in all the latest kernels!

Prada (pradacr) wrote :

Hi T Martin, regarding your temporary solution:

1) Open the laptop lid
- What does opening the lid do?
- Should the vga monitor be connected and on?

2) Fn + F5 to scroll vid-modes, switches to "duplicate display", output fine on both heads but not desired res. on external.
- Fn+F5 does not do anything in my laptop in Ubuntu (32bits)
- I get duplicate displays but wavy on external, tried other steps but always wavy.

Thanks a lot,

Maxime Chéramy (maxime81) wrote :

- I get duplicate displays but wavy on external, tried other steps but always wavy.
=>, but the bug is not fixed yet (https://bugs.freedesktop.org/show_bug.cgi?id=28306 and https://bugzilla.kernel.org/show_bug.cgi?id=21742) so it's kind of normal that you are still experiencing wavyness, no?

Prada (pradacr) wrote :

Sure, too bad for now, does anyone has an estimate on a solution date?

Andrew Higginson (azhigginson) wrote :

Wish this worked :( been using the 15inch lcd on my laptop at work now for too long, the 24" external has been collecting dust.

Also a problem on my work Dell Vostro 3300 with i7 core and hybrid Intel/nVideo video). Really need to use the external display!

Daniel Beth (dbeth2001) wrote :

Me too!!!!, I really need to use the external display. I'm a web developer/designer and this issue is very important to me and my work.

Please, please, please! somebody do something to fix this bug. It has passed nearly about one year from it was detected, and nothing it has happened.

I use an Dell Vostro 3300 laptop with Intel i3 and Intel Corporation Core Processor Integrated Graphics controller (rev 12)

To the super hero that can do something, thank you very much!

Andrew Higginson (azhigginson) wrote :

Dito to last post, and also a Vostro 3300. Work wouldn't justify switching the model but rather tell me to use windows/mac, don't to give my boss an excuse to push his evil mac hardware on me.

This issue was fixed in a kernel patch I installed a while back but I can't seem to get it to work any more. Does anybody know how I can fix this temporarily?

Thanks

Andrew Higginson (azhigginson) wrote :

Oh and I'm completely cool with testing any patches that may be in development, use me!

Changed in linux:
status: Confirmed → Invalid
Stuart Smith (stuart-roguex) wrote :

Why has this been changed to invalid?

Onilton Maciel (oniltonmaciel) wrote :

Are you kidding? Invalid?

Maxime Chéramy (maxime81) wrote :

What does "invalid" means? The bug exists and is not fixed yet.

Stuart Smith (stuart-roguex) wrote :

Well its been marked as completed "Completed: 1 hour ago". So I am guessing that is the end of this bug report. When the issue is still apparent in the OS. Whoever has marked this is in invalid is WRONG and it needs to be addressed!

Herton R. Krzesinski (herton) wrote :

Guys, don't worry: what was marked invalid is the task bug link to freedesktop.org bug #28306 (https://bugs.freedesktop.org/show_bug.cgi?id=28306), it was changed to duplicate upstream so bot set it to invalid.

The linux (Ubuntu) and natty nominations are still open as you can see above in the bug page.

T Martin (mortramalt) wrote :
Download full text (4.8 KiB)

Fn + F5 is the output shortcut on my laptop. Often it is Fn + F9 or another
key.

When I open the laptop lid, nothing happens until I press the shortcut, but
I believe that it will not cycle to "duplicate displays" if the laptop lid
is physically closed.

On Mon, May 2, 2011 at 1:08 PM, Prada <email address hidden> wrote:

> Hi T Martin, regarding your temporary solution:
>
> 1) Open the laptop lid
> - What does opening the lid do?
> - Should the vga monitor be connected and on?
>
> 2) Fn + F5 to scroll vid-modes, switches to "duplicate display", output
> fine on both heads but not desired res. on external.
> - Fn+F5 does not do anything in my laptop in Ubuntu (32bits)
> - I get duplicate displays but wavy on external, tried other steps but
> always wavy.
>
> Thanks a lot,
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/614238
>
> Title:
> Intel Core i3 External Monitor Wavy Output
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Triaged
> Status in “linux” source package in Natty:
> Triaged
>
> Bug description:
> A similar problem with Lucid was reported mainly by users of ATi
> Radeon graphics hardware. I also experienced the "wavy" output in
> Lucid, although the graphics h/w is the integrated intel that comes
> with the Core i3 processors.
>
> It is easy to reproduce. Just plug in an external monitor or
> projector. The output is not stable/solid and has waves that make it
> unusable.
>
> I tried the Maverick Alpha3 to see if it had been addressed in the
> 2.6.35 kernel but the problem is still apparent.
>
> The LCD display of the Laptop is rock solid and sharp. This only
> affects the external VGA from what I can tell. I do not have any hdmi
> devices to test with so cannot confirm if the symptoms are just VGA or
> any external monitor connection.
>
> Similar bug reports from Lucid include: 537640, 541501, 557814, 562138
> although these all seem to relate to the ATI chipsets, the description
> of the problem sounds the same.
>
> I am happy to try upstream kernels and build/patch/compile if
> necessary.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: linux-image-2.6.35-14-generic 2.6.35-14.19
> Regression: No
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.35-14.19-generic 2.6.35
> Uname: Linux 2.6.35-14-generic i686
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: alord 1578 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xfc700000 irq 46'
> Mixer name : 'Intel IbexPeak HDMI'
> Components : 'HDA:10ec0269,144dc06a,00100004
> HDA:80862804,80860101,00100000'
> Controls : 19
> Simple ctrls : 9
> Date: Fri Aug 6 07:47:00 2010
> HibernationDevice: RESUME=UUID=...

Read more...

Changed in linux:
status: Invalid → Confirmed
Michel Filipe (mfilipe) wrote :

A new patch was published at https://bugs.freedesktop.org/show_bug.cgi?id=36599#c15 . It needs to be applied in kernel-2.6.39.

Seth Forshee (sforshee) wrote :

I posted some 2.6.39-rc7 builds with the proposed fix at:

  http://people.canonical.com/~sforshee/lp614238/linux-2.6.39-020639rc7.201105192014~lp614238/

Please test and post your results here. Thanks!

Andrew Higginson (azhigginson) wrote :

Seth, you da man! All working great now thanks for compiling this for us :)

danabel (dan-danabel) wrote :

I installed Seth's kernel in natty (64amd) and the VGA works great but when VGA is plugged in the laptop screen is black.

Emanuelis (emanuelis) wrote :

I installed Seth's kernel in natty (64amd) and when I plug external monitor then laptop's screen is black and external monitor is black with the mouse cursor moving only.

Kenji Oja (kenji-oja) wrote :

+1

I installed de Seth's kernel in Ubuntu 11.04, Dell Vostro 3300, Intel Core i5, Intel 1915. Works fine on boot, but when I plug the external monitor both screens are black and only I see the mouse cursor...

Andrew Higginson (azhigginson) wrote :

Sorry yeah, I missed out the part where I had to login to ubuntu classic, disable the laptop screen and reboot into unity with the laptop closed. I didn't bother with getting the laptop screen working as I don't need it.

Søren Holm (sgh) wrote :

The patch works great on my ThinkPad T410s

lspci says this :
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)

Michel Filipe (mfilipe) wrote :

+1
I installed the Seth's kernel in natty (i386) and the VGA works great but when VGA is plugged in the laptop screen is black. My laptop is the Thinkpad T410s.

Gustavo Oliva (voxsuperplus) wrote :

+1 Same happens to me on a Thinkpad T410.
Noob question: is this patch going to be officially applied in some future rc version of kernel 2.6.39?

Kenji Oja (kenji-oja) wrote :

Too bad, Canonical. I bought a DELL Vostro 3300 because it's certified for Ubuntu 11.04 [1]

This bug must be resolved.

....

[1] http://www.ubuntu.com/certification/hardware/201001-4955:201004-5576

Kenji Oja (kenji-oja) wrote :

Curious, after my comment, Ubuntu.com have edited the page, and now "ubuntu 11.04" have "with notes" :)

Maxime Chéramy (maxime81) wrote :

@Kejnji, indeed, after your comment, I went on your link and I clicked on the button "Give feedback" ;). Maybe I am not the only one who did it.

T Martin (mortramalt) wrote :
Download full text (4.5 KiB)

I just got around to testing this, and using the 2.6.39-rc7 x64 kernel
appears to have fixed the problem for me on Ubuntu 11.04. Thanks so much
for your help.

On Thu, May 19, 2011 at 15:54, Seth Forshee <email address hidden>wrote:

> I posted some 2.6.39-rc7 builds with the proposed fix at:
>
>
> http://people.canonical.com/~sforshee/lp614238/linux-2.6.39-020639rc7.201105192014~lp614238/
>
> Please test and post your results here. Thanks!
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/614238
>
> Title:
> Intel Core i3 External Monitor Wavy Output
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Triaged
> Status in “linux” source package in Natty:
> Triaged
>
> Bug description:
> A similar problem with Lucid was reported mainly by users of ATi
> Radeon graphics hardware. I also experienced the "wavy" output in
> Lucid, although the graphics h/w is the integrated intel that comes
> with the Core i3 processors.
>
> It is easy to reproduce. Just plug in an external monitor or
> projector. The output is not stable/solid and has waves that make it
> unusable.
>
> I tried the Maverick Alpha3 to see if it had been addressed in the
> 2.6.35 kernel but the problem is still apparent.
>
> The LCD display of the Laptop is rock solid and sharp. This only
> affects the external VGA from what I can tell. I do not have any hdmi
> devices to test with so cannot confirm if the symptoms are just VGA or
> any external monitor connection.
>
> Similar bug reports from Lucid include: 537640, 541501, 557814, 562138
> although these all seem to relate to the ATI chipsets, the description
> of the problem sounds the same.
>
> I am happy to try upstream kernels and build/patch/compile if
> necessary.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: linux-image-2.6.35-14-generic 2.6.35-14.19
> Regression: No
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.35-14.19-generic 2.6.35
> Uname: Linux 2.6.35-14-generic i686
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: alord 1578 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xfc700000 irq 46'
> Mixer name : 'Intel IbexPeak HDMI'
> Components : 'HDA:10ec0269,144dc06a,00100004
> HDA:80862804,80860101,00100000'
> Controls : 19
> Simple ctrls : 9
> Date: Fri Aug 6 07:47:00 2010
> HibernationDevice: RESUME=UUID=bc66e046-4afc-4cb6-aa3e-d0f114e960e3
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha i386
> (20100803.1)
> Lsusb:
> Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
> Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 001 Device 003: ID 1210:25f4 DigiTech
> Bus 00...

Read more...

Seth Forshee (sforshee) wrote :

Thanks everyone for the feedback. I've summarized your feedback on upstream bugzilla #36599. The fix needs to be accepted upstream before we apply it to natty.

Kenji Oja (kenji-oja) wrote :

NO... with both screens (external and internal) at same time, the path dont work...

Benjamim Gois (benjamim-gois) wrote :

I think this bug should be CRITICAL. There's no way to use the system if you need a vga-out, like a class or presentation.

Kenji Oja (kenji-oja) wrote :

+1 Benjamim, its CRITICAL for many professionals.

Changed in linux:
status: Confirmed → Fix Released
Michel Filipe (mfilipe) wrote :

WTF? The bug wasn't fixed! See https://bugs.freedesktop.org/show_bug.cgi?id=28306#c114. Reopen this bug report.

Jarede F. Silva (jarede-silva) wrote :

I installed the package linux-image-3.0.0-999-generic_3.0.0-999.201106091205_i386.deb, but the problem continues.

[ 1.347015] Linux agpgart interface v0.103
[ 1.347098] agpgart-intel 0000:00:00.0: Intel HD Graphics Chipset
[ 1.347169] agpgart-intel 0000:00:00.0: detected gtt size: 2097152K total, 262144K mappable
[ 1.348216] agpgart-intel 0000:00:00.0: detected 32768K stolen memory
[ 1.348357] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xc0000000

Seth Forshee (sforshee) wrote :

Please note that the task named Linux (without Ubuntu following it) refers to the upstream bug report. What you see is that the status was changed upstream (the status change was in fact incorrect, as has been pointed out on the upstream bug). Please refrain from complaining about changes in the upstream status here, as it only adds noise to an already noisy bug and does absolutely nothing to help with reaching a resolution to this issue.

Kenji Oja (kenji-oja) wrote :

Fix Released ????????

?¿?¿?¿?¿

Kenji Oja (kenji-oja) wrote :

Linux 3.0 installed --> the problem still...

Changed in linux:
status: Fix Released → Confirmed
Benjamim Gois (benjamim-gois) wrote :

Anyone that install the linux 3.0 can confirm the fix ?

Download full text (4.0 KiB)

Forwarding this bug from Ubuntu reporter Alan Lord:
http://bugs.launchpad.net/bugs/614238

[Problem]
Output on external screen with VGA is described as having waves that makes it unusable. The problem has been observed with kernels up through and including 3.0 release candidates. This problem was also discussed on https://bugs.freedesktop.org/show_bug.cgi?id=28306, and a patch that helped was provided there (commit 633f2ea "drm/i915: Disable SSC for outputs other than LVDS or DP") but was later reverted (commit fc9a222), so the issue is still outstanding. It was requested that a new bug be opened as a result of confusion from unrelated issues.

[Original Description]
A similar problem with Lucid was reported mainly by users of ATi Radeon graphics hardware. I also experienced the "wavy" output in Lucid, although the graphics h/w is the integrated intel that comes with the Core i3 processors.

It is easy to reproduce. Just plug in an external monitor or projector. The output is not stable/solid and has waves that make it unusable.

I tried the Maverick Alpha3 to see if it had been addressed in the 2.6.35 kernel but the problem is still apparent.

The LCD display of the Laptop is rock solid and sharp. This only affects the external VGA from what I can tell. I do not have any hdmi devices to test with so cannot confirm if the symptoms are just VGA or any external monitor connection.

Similar bug reports from Lucid include: 537640, 541501, 557814, 562138 although these all seem to relate to the ATI chipsets, the description of the problem sounds the same.

I am happy to try upstream kernels and build/patch/compile if necessary.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-2.6.35-14-generic 2.6.35-14.19
Regression: No
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.35-14.19-generic 2.6.35
Uname: Linux 2.6.35-14-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: alord 1578 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc700000 irq 46'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:10ec0269,144dc06a,00100004 HDA:80862804,80860101,00100000'
   Controls : 19
   Simple ctrls : 9
Date: Fri Aug 6 07:47:00 2010
HibernationDevice: RESUME=UUID=bc66e046-4afc-4cb6-aa3e-d0f114e960e3
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha i386 (20100803.1)
Lsusb:
 Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 003: ID 1210:25f4 DigiTech
 Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: SAMSUNG ELECTRONICS CO., LTD. R530/R730
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-14-generic root=UUID=3364d8e7-11e8-4000-a32e-8bfca4cac5aa ro quiet splash
ProcEnviron:
 LA...

Read more...

Seth Forshee (sforshee) wrote :

I made a new bug on freedesktop.org as was requested by Jesse Barnes. Please refrain from posting on this bug unless you have real information to add relevant to this specific issue. Thanks.

Changed in linux:
importance: High → Unknown
status: Confirmed → Unknown
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed

Also affects Core i5 and other distributions than Ubuntu.

lspci:
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated
Graphics Controller (rev 12)

> The external screen is now working properly but the laptop screen remains
> black.

Sorry, it remains blacks when the external screen is plugged in. Otherwise the laptop screen works well after restarting the X server. (I think that's improvement for most people)

(In reply to comment #4)
> > The external screen is now working properly but the laptop screen remains
> > black.
>
> Sorry, it remains blacks when the external screen is plugged in. Otherwise the
> laptop screen works well after restarting the X server. (I think that's
> improvement for most people)

Using vostro 3300 with i3 encountered the same problem and applied the described patch.

Laptop's screen remains black when external screen is connected. The external screen works well though.

Unplugging the cable to the external screen brings back the display to the laptop's screen.

However, after 2-3 times that you do that, the system hangs. Can't switch to any display, both screens are black, ctrl+alt F1 through F12 doesn't help. Only hard reboot works.

I've noticed the following appearing in my logs:

         :[ 175.787969] [drm:intel_disable_transcoder] *ERROR* failed to disable transcoder

Happy to help in any testing. This issue is really a painful one for me. Can't use my laptop with an external display at work (well - you have to plug/unplug at least once a day. Rebooting every 2-3 days is not an option...)

I have the same, identical, equal, problem of Tom.

I also have this issue with my Dell Vostro 3300, this bug is really REALLY annoying and it's unbelievable that's not fixed yet! Just adding some info: Fedora have the same problem (https://bugzilla.redhat.com/show_bug.cgi?id=608316).

I tried the patch above and got the same result as Maxime C. Only one monitor works. I use Samsung QX410 (Core i5) with Debian distribution.

Created attachment 49493
A patch which turns off SSC for all outputs.

I've created a version of Chris Wilsons patch which disables SSC for all outputs without checking. I've tested it so far without issues, both VGA and the internal LVDS are operating fine.
Since SSC is just a hack to get around some strict FCC EMI rules (according to the great wikipedia) I can't see this causing any issues.

--Ben Brewer (CodeThink)

(In reply to comment #9)
> Created an attachment (id=49493) [details]
> A patch which turns off SSC for all outputs.
>
> I've created a version of Chris Wilsons patch which disables SSC for all
> outputs without checking. I've tested it so far without issues, both VGA and
> the internal LVDS are operating fine.
> Since SSC is just a hack to get around some strict FCC EMI rules (according to
> the great wikipedia) I can't see this causing any issues.
>
> --Ben Brewer (CodeThink)

Hi Ben!

Thanks a lot for your patch. I've just applied it on the kernel 3.0 (with minor modifications because your patch is for 2.6.38) and both screens are now working. I will share the ubuntu package soon.

Maxime Chéramy (maxime81) wrote :

I applied the last patch (https://bugs.freedesktop.org/attachment.cgi?id=49493) on the kernel 3.0 : http://etud.insa-toulouse.fr/~mcheramy/linux/
It's working for me.

(In reply to comment #10)
> Hi Ben!
>
> Thanks a lot for your patch. I've just applied it on the kernel 3.0 (with minor
> modifications because your patch is for 2.6.38) and both screens are now
> working. I will share the ubuntu package soon.

Could you please post the patch for 3.0 kernel?

Created attachment 49537
A patch which turns off SSC for all outputs (kernel 3.0).

(In reply to comment #9)
> Created an attachment (id=49493) [details]
> A patch which turns off SSC for all outputs.
>
> I've created a version of Chris Wilsons patch which disables SSC for all
> outputs without checking. I've tested it so far without issues, both VGA and
> the internal LVDS are operating fine.
> Since SSC is just a hack to get around some strict FCC EMI rules (according to
> the great wikipedia) I can't see this causing any issues.
>
> --Ben Brewer (CodeThink)

Thanks Ben!

I can confirm the patch works well on my Dell Vostro 3300 with i3.

Plugging and unplugging the external display now works as expected and the display is stable.

Hello, the 3.0 patch works for me. I have a core i5, VGA monitor at 1366x768 and a HDMI monitor at 1600x900.

Created attachment 49582
A patch which optionally turns off SSC for all outputs based on a parameter.

I've modified my patch to use a module parameter to disable SSC for all outputs, this should lay any legal issues or worries about modified behaviour to rest.

--Ben Brewer (CodeThink)

Victor Tuson Palau (vtuson) wrote :

I tried Maxime's kernel (see above) and fixed the issue for me!

Seth - where do we go from here?

Seth Forshee (sforshee) wrote :

We aren't likely to pull in any patch until it gets upstream, and I'm sorry to say it doesn't look like this one is going to make it based on the response Michel Filipe got from one of the upstream developers on irc.

(In reply to comment #14)
> Hello, the 3.0 patch works for me. I have a core i5, VGA monitor at 1366x768
> and a HDMI monitor at 1600x900.

Hi James, I am glad that there is a solution to the long standing issue which I have followed for half a year. I have core i5 too. Do I need to compile the kernel with this patch?

Is it going to get implemented into Fedora soon? Because I have this problem, but I don't know how to use this fix.

Thanks Ben.

With a small tweak on intel_bios.c for kernel version 2.6.39.3, it works on

vendor_id : GenuineIntel
cpu family : 6
model : 37
model name : Intel(R) Core(TM) i3 CPU M 380 @ 2.53GHz
stepping : 5

Also besides providing this solution you pushed me to learn how to compile the linux kernel, so thanks again.

--
Filipe Giusti

Created attachment 49887
patch 1

First in series to modify SSC values

Created attachment 49888
patch 2

Can you try these patches (apply patch 1 first, then patch 2)? I may need to tweak #2 a bit more to avoid enabling SSC at all when switching from one to two outputs...

(In reply to comment #20)
> Can you try these patches (apply patch 1 first, then patch 2)? I may need to
> tweak #2 a bit more to avoid enabling SSC at all when switching from one to two
> outputs...

Sure thing, I'll make a build and post it to the launchpad bug for testing. There should be a bunch of willing testers, at least based on the number of people who have been complaining :)

Thanks Jesse. If these work they'll make a lot of people happy.

Review of attachment 49888:

Jesse, there's a build error in intel_display.c, noted below.

You also have a repeated "work" in the commit message.

::: drivers/gpu/drm/i915/intel_display.c
@@ +5122,3 @@
+ if (has_edp_encoder &&
+ !intel_encoder_is_pch_edp(&has_edp_encoder->base) &&
+ if (num_connectors) {

typo here, should be intel_panel_use_ssc

(In reply to comment #22)

> ::: drivers/gpu/drm/i915/intel_display.c
> @@ +5122,3 @@
> + if (has_edp_encoder &&
> + !intel_encoder_is_pch_edp(&has_edp_encoder->base) &&
> + if (num_connectors) {
>
> typo here, should be intel_panel_use_ssc

Oops, somehow it quoted the wrong section of the patch. Currently it has intel_panel_use(ssc.

Oops sorry, last minute change before I sent it out. I thought I had built but obviously not... anyway yeah the change is just to fix the ( into a _

Seth Forshee (sforshee) wrote :

Good news! We have some new patches to test, and if these work they should make it upstream. I've posted builds, please test and report back your results.

For natty:

  http://people.canonical.com/~sforshee/lp614238/linux-2.6.38-11.48~lp614238v201108032108/

For oneiric:

  http://people.canonical.com/~sforshee/lp614238/linux-3.0.0-7.9~lp614238v201108032027/

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Changed in linux (Ubuntu Natty):
status: Triaged → Incomplete
Michel Filipe (mfilipe) wrote :

For lucid? Apply in backport-natty. :)

Maxime Chéramy (maxime81) wrote :

Good news! It's also working :) (for me at least). Thanks Seth and Jesse.

(In reply to comment #21)
> (In reply to comment #20)
> > Can you try these patches (apply patch 1 first, then patch 2)? I may need to
> > tweak #2 a bit more to avoid enabling SSC at all when switching from one to two
> > outputs...
>
> Sure thing, I'll make a build and post it to the launchpad bug for testing.
> There should be a bunch of willing testers, at least based on the number of
> people who have been complaining :)
>
> Thanks Jesse. If these work they'll make a lot of people happy.

It's working for me: only one VGA output.

Seth Forshee (sforshee) on 2011-08-04
Changed in linux (Ubuntu):
assignee: Canonical Kernel Team (canonical-kernel-team) → Seth Forshee (sforshee)
Changed in linux (Ubuntu Natty):
assignee: Canonical Kernel Team (canonical-kernel-team) → Seth Forshee (sforshee)
Alan Bell (alanbell) wrote :

The Natty kernel works for me on a Samsung R530 using the Core i3 chipset (identical to original bug reporter's laptop)

Angelo Pantano (ghilteras) wrote :

been plagued by this bug, but the custom kernel for natty worked for me

http://people.canonical.com/~sforshee/lp614238/linux-2.6.38-11.48~lp614238v201108032108/

thanks Seth.

Marc Grimme (elcody02) wrote :

Same for me. I can confirm that finally my external VGA plug works. Tested with dual-monitor setup and single monitor. Works with Thinkpad T410s based on iCore5 (as far as I know) with intel graphics card.

Hopefully this fix goes upstream.

Thanks very much for fixing this bug!

Marc.

lspci:
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:19.0 Ethernet controller: Intel Corporation 82577LM Gigabit Network Connection (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 06)
00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 (rev 06)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation 5 Series/3400 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 06)
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6200 (rev 35)
05:00.0 SD Host controller: Ricoh Co Ltd MMC/SD Host Controller (rev 01)
05:00.1 System peripheral: Ricoh Co Ltd Memory Stick Host Controller (rev 01)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)

uname -a:
Linux mobilix-20 2.6.38-11-generic #48~lp614238v201108032108 SMP Wed Aug 3 21:22:22 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Seth Forshee (sforshee) wrote :

Michel: I just finished building a backport for lucid. There are some differences due to the older kernel version, so I'm less confident in the results. It's available at:

  http://people.canonical.com/~sforshee/lp614238/linux-2.6.32-33.72~lp614238v201108041408/

I also have a build going for maverick, I'll post again when it's done.

Seth Forshee (sforshee) wrote :

Build for maverick now posted:

  http://people.canonical.com/~sforshee/lp614238/linux-2.6.35-30.56~lp614238v201108041514/

With both the lucid and maverick builds, if anyone has hardware with Ironlake graphics and a DisplayPort connector I'd appreciate testing of the DisplayPort connector with these kernels as well (assuming that it was working previously under lucid or maverick).

Installed Seth's Natty kernel on Ubuntu 11.04, and the display now works fine on my Dell Vostro 3300 with on-board Intel i915 graphics .
Thank you!

Jarede F. Silva (jarede-silva) wrote :

Working for me too. Thanks a lot.

joujek (joujek) wrote :

Hi, Vostro 3300 @ i5 @ 11.04 works great! I am waiting from December 2010 for this fix. Thanks a lot!

zluspai (zluspai) wrote :

Great, works here to: Vostro 3300 with i5. Can we get a PAE enabled kernel compiled too, please?

Alfredo Matas (amatas) wrote :

This patch also works for me on another Dell Vostro 3300 with a core i5 platform

Thanks!

Jesse,

I've received about 9 reports so far that this is working. Most of these were tested with my backport to 2.6.38; if you'd like to validate that the backport is equivalent the patches are available at

http://people.canonical.com/~sforshee/lp614238/linux-2.6.38-11.48~lp614238v201108032108/

Patrick Pfeifer (patrick2000) wrote :

Woooow. What a difference! This works great for me.

(Not only is the vga output useable now but attaching a second monitor to the hdmi output also works much more flawless now. Attaching and detaching monitors and changing configurations via "Monitor Preferences" was really unstable before. Now it works fine.)

Michel Filipe (mfilipe) wrote :

It works in Lucid! VGA output and DP output (through VGA->DP adapter) works fine!

When will I get these patches applied in linux-{image,headers}-pae-backport-natty in lucid? :)

Seth Forshee (sforshee) wrote :

On Sat, Aug 06, 2011 at 10:22:43PM -0000, Michel Filipe wrote:
> It works in Lucid! VGA output and DP output (through VGA->DP adapter)
> works fine!

To clarify -- did you test the lucid (2.6.32) build, or did you test the
natty kernel under lucid?

> When will I get these patches applied in linux-{image,headers}-pae-
> backport-natty in lucid? :)

After we release a kernel with the fix :)

It's really too early to say when the fix will make it into an official
release. It hasn't even been applied to the upstream i915 driver
maintainer's tree yet.

Michel Filipe (mfilipe) wrote :

> To clarify -- did you test the lucid (2.6.32) build, or did you test the
> natty kernel under lucid?

I tested with 2.6.32: http://people.canonical.com/~sforshee/lp614238/linux-2.6.32-33.72~lp614238v201108041408/

Victor Tuson Palau (vtuson) wrote :

just tried the maverick kernel of #91 comment and works fine for a vostro 3300 (VGA)

Thanks!

Any thoughts on when this will make the sru?

Ara Pulido (apulido) wrote :

Putting back as Confirmed, as several affected users reported that the patch worked for them

Changed in linux (Ubuntu Natty):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

To pile on, I've had good luck with 2.6.38-11.48~lp614238v201108032108 on Natty. VGA is working. DisplayPort on a 30" monitor.

I run on a lenovo T410s, which uses an intel i915, with a "Intel(R) Core(TM) i5 CPU M 560 " processor.

Cheers!

Jesse,

I was just checking up on the status of these patches. Looks like the first one made it to Linus's tree, but Keith backed out the second because it causes a regression:

https://bugs.freedesktop.org/show_bug.cgi?id=40031

Any idea on what needs to be done to address this?

Thanks,
Seth

floydguy (floydguy23) wrote :

had the same problem... using Ubuntu Natty with Intel Graphics (Toshiba Satellite Pro C640)... worked like a charm!!!... thank you very much!... forgot smomething... using oneiric kernel....

DemonCcC (demonccc) wrote :

It works perfectly on my Dell Vostro 3300. Do you know when this patch will be apply to the main/proposal kernel update?

dr431 (dr431) wrote :

How do you install the patch? I downloaded the header files and tried the dpkg command. When I rebooted, there was no option to select a kernel. What is the missing step?

Seth Forshee (sforshee) wrote :

I don't think I've provided an update on this recently. The latest fix from Intel turned out to include some regressions, so we're stuck waiting for another fix. To help out in the interim I've spun another build for natty based off the latest -proposed kernel. I've tweaked the version string so that you shouldn't get prompted to replace the kernel until the next official kernel update after 2.6.38-11.49.

http://people.canonical.com/~sforshee/lp614238/linux-2.6.38-11.49+lp614238v201109121500/

I'd really like to try Seth's solution but like dr431 don't know how. Please post a how-to or a link to a tutorial.

Maxime Chéramy (maxime81) wrote :

Go on a Seth's link : http://people.canonical.com/~sforshee/lp614238/linux-2.6.38-11.49+lp614238v201109121500/
Download the good linux-image*.deb according to your arch (x86 or amd64).
Double-click on the file to install it.

Maybe you might need to run "sudo update-grub2" but not sure.

Does this bug will be fixed in kernel 3.1?

I recall that it was first reported over a year ago, only as the old report was closed and opened new, it always looks better error for two months than in over a year.

Tomasz

Thank you very much Seth and Maxime.

If I may summarize easy steps to do this, for lay-people like me;
1. Download linux-image-xx and linux-headers-xx as per your architecture (I downloaded the patch files as well, but don't know if they were used during installation..)
2. run 'sudo dpkg -i linux-image-xx.deb' and then 'sudo dpkg -i linux-headers-xx' to install both
3. run 'sudo update-grub' and restart. The newly installed kernel is default (at least in LM11)

I'd like to report that the beta2 build of ubuntu 11.10 also has the same problem of wavy VGA output. It's sad, actually. Does that qualify as a separate bug since it has the linux-3.xx kernel?

(In reply to comment #27)
> Jesse,
>
> I was just checking up on the status of these patches. Looks like the first one
> made it to Linus's tree, but Keith backed out the second because it causes a
> regression:
>

Is the regression more important than this bug ? I mean, with the patch my computer is working perfectly.

Seth Forshee (sforshee) wrote :

On Sat, Oct 01, 2011 at 04:46:52AM -0000, Swastik Harish wrote:
> I'd like to report that the beta2 build of ubuntu 11.10 also has the
> same problem of wavy VGA output. It's sad, actually. Does that qualify
> as a separate bug since it has the linux-3.xx kernel?

No, it's the same bug, it just hasn't been fixed yet in any kernel
version.

Hey Seth,

The patch you posted (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/614238/comments/84
) for kernel 3.0.0 worked for me.

But now the link http://people.canonical.com/~sforshee/lp614238/linux-3.0.0-7.9~lp614238v201108032027/ is no longer available (404).

why? could you post it back online?

dejot (gkastner) wrote :

Same problem here: Running oneiric with 3.0.0-12-generic and cannot find a link to a patched kernel. Maybe you can rebuild / repost for the current stable distro? Thx already.

Chris, whether this patch will be submitted in merge window kernel 3.2 ?

Sorry, I forgot to tell you.

This issue was discussed in intel-gfx recently. Keith wrote a series of 9 patches on the code that is used by this bug.

I believe the patches landed here:
http://cgit.freedesktop.org/~jbarnes/linux?h=fix-pch-refclk

And the one that solves our problem is:
http://cgit.freedesktop.org/~jbarnes/linux/commit/?h=fix-pch-refclk&id=99eb6a01e5ac6cf28aadc64e6ff346939874dfd2

The root-cause is that on our machines we need to use DREF_NONSPREAD_CK505_ENABLE instead of DREF_NONSPREAD_SOURCE_ENABLE when setting the PCH_DREF_CONTROL register.

I don't think this will come for 3.1, but at least now distros can try to backport something :)

More information to help:

If we're going to do a "minimal" backport we need:

- this patch: http://lists.freedesktop.org/archives/intel-gfx/2011-September/012172.html
- follow the comments here: http://lists.freedesktop.org/archives/intel-gfx/2011-September/012198.html

The first link on this comment is the patch that "caused" Keith's rewrite. If you want to fully understand the problem, I recommend you to read all messages on that thread and also all replies to Keith's patch series (sent a few days after the discussion).

Thank you very much for answer :)
I'm currently using the patch from comment #12 this discussion and it works well, but every now and then I have to recompile kernel on ArchLinux (7 times, v3.0.7 :), so I want to know if the amendment shall enter into a stable kernel release, in version 3.1 is probably not possible, but maybe in version 3.2?
The bug has been over a year, whether he is a chance that once it goes into the stable kernel relase, it was not necessary to create backports?

joujek (joujek) wrote :

Dear Seth,
I join with 'dejot' - it going to be great if You can rebulid newest already patched krenel for Oneiric Ocelot.
I and others who affected this bug will be grateful.
Thanks in advance!

Marc Grimme (elcody02) wrote :

Same for me. It would be really great to also have a working kernel for ubuntu 11.10.

Thanks in advance also!

Maxime Chéramy (maxime81) wrote :

You know, you can build your own kernel package if you want. Just follow the instructions you can find on many websites, using make-kpkg. I can't give you mine, because I don't use Ubuntu anymore.
It's pretty easy, you should try, at least you'll learn how to compile Linux. And then you can share your package with others.

Angelo Pantano (ghilteras) wrote :

we cannot create the patched kernel since we don't have the fix

since the link is broken only 11.04 is fixed, I am running 11.10 now and I am afflicted again by the bug.

I frankly don't understand why this bug is still not fixed, it was reported in August, the fix was released shortly after and now we are in the end of October with 11.10 Ubuntu still afflicted by the bug

Maxime Chéramy (maxime81) wrote :

"we cannot create the patched kernel since we don't have the fix"

You can find the answers of your questions, including the patches, here: https://bugs.freedesktop.org/show_bug.cgi?id=38750
The main reason is that the patch proposed causes a regression: https://bugs.freedesktop.org/show_bug.cgi?id=40031

Angelo Pantano (ghilteras) wrote :

Maxime I found your patch for kernel 3.0 on comment #12 here: https://bugs.freedesktop.org/show_bug.cgi?id=38750

I downloaded the attachment, can you provede some insight on how to put your diffs by command line (ubuntu 11.10) ?

Thanks

Angelo

Maxime Chéramy (maxime81) wrote :

I don't think "my" patch is the best but anyway, it should work:
Download the kernel 3.0 sources, extract the sources, go into the directory and use the patch command :
patch -p1 < mypatch
then, follow the compilation steps from any tutorial.

Zsolt Présing (presingzs) wrote :

I downloaded the files from Seth's site when it was still available, and uploaded the 3.0.0 versions to here:

https://docs.google.com/leaf?id=0B_DBgTyTYrxJMzJkOWM4YmEtYzJkYy00ZGI3LWFlNWItN2ExZWYyNDg0M2Ni&hl=en_US

Patch files are also up there. I have never ever used these 3.0.0 patches, but hope they work.
 I use 2.6.35 version for 1 month now without any problem.
However I think Seth has a real reason to remove them from his site, we just don't know it.
Please post a comment if it works for you!

joujek (joujek) wrote :

Dear Maxime,

Your's Patch works perfect with kernel 3.0 .
My H/W: Dell Vostro 3300 , i5 core with integrated gpu. Ubuntu 11.10
Really sorry that i thinked only Seth can helps us ;)

Thank You so much.
P.S. Quick tutorial for all who want patch they own kernel:

1. install in synaptic-manager linux-source deb.
2. Open terminal and go to : # /usr/src
There could be linux-source-3.0.x.tar.bz2 for me it was linux-source-3.0.0.tar.bz2 ( use ls command for show files)
3. type in terminal : # tar -xvjf linux-source-3.0.0.tar.bz2
4. type " cd linux-source-3.0.0' to enter in new created directory
5. Save patch file from this link:
https://bugs.freedesktop.org/attachment.cgi?id=49537
 - the best way is when You save patch file in /usr/src/linux-source-3.0.0 directory else
You can use 'sudo mc' to copy patch file to each directory
6. type in :"# /usr/src/linux-source-3.0.0/patch -p1 < yours_patch_file"
'yours_patch_file" is the name of saved patch.

7. type in " cp /boot/config-`uname -r` .config"
8. make menuconfig
9. type "exit" button and You have to wait more than one hour ...
10. when finish you have 2 deb packages in parent directory : /usr/src/
11. you can install it from terminal by command: " dpkg -i new_created_kernel.deb"

thats it!

Hi,

I am trying to get use the 3.0 patch. I have downloaded the patch above to my home directory, downloaded the 3.0.0 source using apt-get. i've also have libncurses5-dev and gcc installed and updated and upgraded everything with apt-get. I can't get the patch to work though. I unbzipped /untarred the source then entered the linux-source-3.0.0 directory then ran

louis@louis-laptop:/usr/src/linux-source-3.0.0/linux-source-3.0.0$ sudo cat /home/louis/patch.diff | patch -p1
patching file drivers/gpu/drm/i915/i915_drv.c
patch: **** Can't rename file /tmp/pobVaNe5 to drivers/gpu/drm/i915/i915_drv.c : Permission denied
louis@louis-laptop:/usr/src/linux-source-3.0.0/linux-source-3.0.0$

can anybody tell me what i'm doing wrong? I'm sure after i've patched it properly the compiling/installing of the new kernel will be no problem.

Cheers,

Louis

When you type :
"sudo cat /home/louis/patch.diff | patch -p1"

You run cat as root and patch as louis. Then the error message should become clear to you. Anyway, you should do everything in your home and avoid touching the files in /usr/src.

Please avoid using this bug report ticket to ask how to apply a patch, you should use a forum for this kind of question.

Bryce Harrington (bryce) wrote :

Reported as affecting oneiric on dupe bug #853838.

Several kernel patches are discussed on bug #38750, and while they're confirmed fixes it appears there is concern of a possible regression they cause, which is why they're not yet upstream.

I'm guessing the best patch is this one:
http://cgit.freedesktop.org/~jbarnes/linux/commit/?h=fix-pch-refclk&id=99eb6a01e5ac6cf28aadc64e6ff346939874dfd2

It's hosted in this tree currently:
http://cgit.freedesktop.org/~jbarnes/linux?h=fix-pch-refclk

Once this patch is officially upstream it would be worthwhile to backport it to oneiric and natty.

Changed in linux (Ubuntu Oneiric):
importance: Undecided → High
status: New → Triaged
milestone: none → oneiric-updates
tags: added: kernel-handoff-graphics kernel-needs-review oneiric

Can you share patch for kernel 3.1? I tried the above but do not match.

Is there a chance that the bug is fixed in kernel 3.2?

(In reply to comment #36)
> Can you share patch for kernel 3.1? I tried the above but do not match.
>
> Is there a chance that the bug is fixed in kernel 3.2?
Yes, a pull was already requested.

See:
http://lists.freedesktop.org/archives/intel-gfx/2011-October/012856.html
http://cgit.freedesktop.org/~keithp/linux/log/?h=drm-intel-next

Please test drm-intel-next. I hope Linus will pull this soon.

Seth Forshee (sforshee) wrote :

I took a look at the series containing the patch from comment #124 (currently waiting for Linus to merge it into his tree for 3.2). We'll have to pick up a number of other patches in addition to that one.

I went ahead and backported the entire series to oneiric along with a couple of prerequisite patches. It's available at the link below. Please test and see whether the wavy output issue is fixed.

http://people.canonical.com/~sforshee/lp614238/linux-3.0.0-13.21~lp614238v201110271600/

I haven't attempted a backport to natty yet. That's likely to be more difficult, so I'd prefer to verify the fix in oneiric first.

skanev (svilen-kanev) wrote :

I can confirm the backport fixes the wavy output for me (x64, on a lenovo T410s). I didn't notice the regression in the previous proposed patches and I don't see it now either.

Created attachment 52870
drm-intel-next patch in kernel 3.1 (fix waves)

Thank you Paulo

Currently I test drm-intel-next and it works perfectly, no waves.
Previously, when switching screens sometimes appear gray screen and had to switch again, now drm-intel-next yet this did not happen.

I created a patch for kernel 3.1 on drm-intel-next, the file in the attachment.

I hope that this can be included in kernel 3.2 :)

Angelo Pantano (ghilteras) wrote :

I can confirm that the fix by Seth is working. I didn't notice as well the regression in the previous fix.

The kernel 3.0.0-13.21 amd64 patched by Seth solves the problem for me on Ubuntu 11.10 on a Dell Vostro laptop.

Kent Lin (kent-jclin) wrote :

The kernel 3.0.0-13.21 pae patched by Seth solves the problem for me on Ubuntu 11.10 on a Dell Vostro n series laptop.

Fixed in Linus' 3.2 tree.

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=99eb6a01e5ac6cf28aadc64e6ff346939874dfd2

Fixes my machine. Closing bug. Reopen if that doesn't fix your machine.

Martin Fisher (yusuf-martin) wrote :

Based on the comments here it seems likely that this will solve the problem for me on my Dell Vostro 3300 laptop. However, I am not familar with what exactly I need to do. I am guessing that from Seth's link I need to down the appropriate header and image deb (in my case it would be the 64 bit). I guess I run the deb files but what do I then have to do? I anybody could kindly tell me what commands I need to run to be able to use this kernel I would be exceedingly grateful. Thanks!

Seth Forshee (sforshee) wrote :

On Wed, Nov 02, 2011 at 01:03:15PM -0000, Martin Fisher wrote:
> Based on the comments here it seems likely that this will solve the
> problem for me on my Dell Vostro 3300 laptop. However, I am not familar
> with what exactly I need to do. I am guessing that from Seth's link I
> need to down the appropriate header and image deb (in my case it would
> be the 64 bit). I guess I run the deb files but what do I then have to
> do? I anybody could kindly tell me what commands I need to run to be
> able to use this kernel I would be exceedingly grateful. Thanks!

Yes, download the *_amd64.deb files as well as the *_all.deb file. You
need to install all three. Double-clicking them ought to open the
package manager GUI, or you can install them from a terminal by
navigating to the directory where you downloaded the files and running:

  sudo dmesg -i *lp614238v201110271600*.deb

After you've installed the packages you need to reboot to start using
the new kernel.

dejot (gkastner) wrote :

it should be

sudo dpkg -i *lp614238v201110271600*.deb

Marc Grimme (elcody02) wrote :

Kernel 3.0.0-13.21~lp614238v201110271600 is also working for me.
Valdidated on 2 IBM Thinkpad T410S with Ubuntu 11.10.

Thanks.

Martin Fisher (yusuf-martin) wrote :

I can also confirm that this kernel works for me on a Dell Vostro 3300 connected by VGA to an external monitor. I would be interested to know what happens next. For example, if Ubuntu provide a newer kernel as an Update will I need to keep using 3.0.0-13.21~lp614238v201110271600 to ensure that I can use my external monitor? Thanks!

Madu Souza (madusouza) wrote :

The kernel 3.0.0-13-generic-pae patched by Seth works for me on a Dell Inspiron N4030 with Oneiric.
Thanks!

I have the same issue, reported on https://bugs.launchpad.net/ubuntu/+bug/885650

The kernel 3.0.0-13-generic provided by Seth also worked on my case for amd64 with Oneiric:
http://people.canonical.com/~sforshee/lp614238/linux-3.0.0-13.21~lp614238v201110271600/

Thanks a lot!

Daniele Dellafiore (ildella) wrote :

do you think there's any chance to see the patch included in some
official update from ubuntu?
or at least in 12.04? Thanks.

On Thu, Nov 3, 2011 at 5:06 PM, Leonel Quinteros
<email address hidden> wrote:
> I have the same issue, reported on
> https://bugs.launchpad.net/ubuntu/+bug/885650
>
> The kernel 3.0.0-13-generic provided by Seth also worked on my case for amd64 with Oneiric:
> http://people.canonical.com/~sforshee/lp614238/linux-3.0.0-13.21~lp614238v201110271600/
>
> Thanks a lot!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/614238
>
> Title:
>  Intel Core i3 External Monitor Wavy Output
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/614238/+subscriptions
>

--
Daniele Dellafiore
http://danieledellafiore.net

lucaa (ancapaula-luca) wrote :

Seth, the patched 3.0.0.13 worked for me too, i386 arch. Thank you very very much, I hope it makes it in the distro asap.

You are my hero!

how do I apply this patch. I'm not really good at these things ? I've had this error for ever and I can't get it fixed... can it get merged into update or something ? Thanks

Angelo Pantano (ghilteras) wrote :

still waiting for Seth's patch to be pushed upstream, had to block the upgrades otherwise I get again the bug

Daniele Dellafiore (ildella) wrote :

At one point was like there are some other regression attached to this
patch so it could not went upstream.
I do not know if is still the case or there are other blocks for this to go
upstream.

On Tue, Nov 22, 2011 at 9:28 AM, Angelo Pantano <email address hidden> wrote:

> still waiting for Seth's patch to be pushed upstream, had to block the
> upgrades otherwise I get again the bug
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/614238
>
> Title:
> Intel Core i3 External Monitor Wavy Output
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/614238/+subscriptions
>

--
Daniele Dellafiore
http://danieledellafiore.net

Seth Forshee (sforshee) wrote :

On Tue, Nov 22, 2011 at 09:12:38AM -0000, Daniele Dellafiore wrote:
> At one point was like there are some other regression attached to this
> patch so it could not went upstream.
> I do not know if is still the case or there are other blocks for this to go
> upstream.

There have been several pervious attempts that ended up causing
regressions for other systems. For that reason I'm giving the current
fix a little bit of time for broader testing before trying to SRU it
into any releases. The patches haven't been reverted in the 3.2 release
candidates yet, which is a good sign. I'll plan to get started on SRU
next week if things are still looking good.

zluspai (zluspai) wrote :

If this patch is causing regressions other places, then why not to isolate these changes that could be turned on by some kernel configuration parameter. This would make our lives much easier than recompiling the kernel. So could you just propose this to the big guys who-decide-about-things ;-) ?

Changed in linux:
status: Confirmed → Fix Released
Martin Fisher (yusuf-martin) wrote :

I don't have much of an understanding of bug reporting and fixing - my interest here is simply this bug and hoping to see it resolved for 11.10 and onwards.

I have come across this, howev.er:

https://bugs.freedesktop.org/show_bug.cgi?id=38750

and post it here in case it is relevant.

Thanks, Martin

Alik (kilaka) wrote :

Possible duplicate:
"[arrandale] desktop is messed up with external monitors (x86_64)"
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/745112

Seth Forshee (sforshee) wrote :

I've done a backport to natty. Please test it thoroughly and let me know the results.

  http://people.canonical.com/~sforshee/lp614238/linux-2.6.38-13.53~lp614238v201112021925/

I also made an updated build for oneiric in case anyone is interested.

  http://people.canonical.com/~sforshee/lp614238/linux-3.0.0-14.23~lp614238v201112012306/

Changed in linux (Ubuntu Oneiric):
assignee: nobody → Seth Forshee (sforshee)
status: Triaged → Incomplete
Changed in linux (Ubuntu Natty):
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
status: Confirmed → Fix Released

Output on an external monitor is wavy with either Seth's image or 3.2.0-5 from precise.

The hardware is different -- i7-2720M, Sandy Bridge. Should I file a new bug?

On Sun, Dec 04, 2011 at 05:14:46PM -0000, Sergey Yanovich wrote:
> Output on an external monitor is wavy with either Seth's image or
> 3.2.0-5 from precise.
>
> The hardware is different -- i7-2720M, Sandy Bridge. Should I file a new
> bug?

Sergey: I'm fairly certain that yours is a different issue. According to
the comments in the code at least, the SSC shouldn't impact the analog
outputs for the chipsets used with Sandy Bridge or later. So please go
ahead and file a new bug by running 'ubuntu-bug linux' in a terminal.

Seth Forshee (sforshee) on 2011-12-06
Changed in linux (Ubuntu Oneiric):
status: Incomplete → In Progress

Hi Seth, regarding your last activity in this thread, does this mean that an official oneiric update is coming with the fix implemented? Thanks.

Seth Forshee (sforshee) on 2011-12-06
description: updated
Seth Forshee (sforshee) wrote :

On Tue, Dec 06, 2011 at 09:40:06PM -0000, Carlos Chiquete wrote:
> Hi Seth, regarding your last activity in this thread, does this mean
> that an official oneiric update is coming with the fix implemented?
> Thanks.

It means I've started the process of getting these into a future oneiric
update. We're still several weeks from having a release containing the
fix.

Martin Fisher (yusuf-martin) wrote :

This is fantastic news and I thank you for your efforts!

Martin

Marc Grimme (elcody02) wrote :

Same for me. Great morning news.
Thanks.
Marc.

Seth Forshee (sforshee) on 2011-12-07
Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem (3.0.0-15.24). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
dejot (gkastner) wrote :

I am running on 3.0.0-15.24 from oneiric-proposed with no wavy output whatsoever -> problem solved. Thanks guys!

tags: added: verification-done-oneiric
removed: verification-needed-oneiric
Marc Grimme (elcody02) wrote :

I can confirm that the following kernel is working:

$ dpkg -l linux-image-generic
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==============-==============-============================================
ii linux-image-ge 3.0.0.15.17 Generic Linux kernel image

$ uname -r
3.0.0-15-generic

This means no blury display on a IBM Thinkpad i410s with Intel iCore5 and intel graphics adapter.
Somehow I don't have a 3.0.0.15.17 but updated the kernel from the proposed sources.

Hope that helps.

Thanks
Marc.

Problem solved in Dell inspiron n4030.

Tanks

Søren Holm (sgh) wrote :

Works for me on Lenovo T410s.

Martin Fisher (yusuf-martin) wrote :

Solves the problem for me on Dell Vostro 3300 connected by VGA to external secreen

Alan Bell (alanbell) wrote :

works great on my Samsung R530 (exact model that this was originally reported on)

Updated from proposed.
dmesg output:
Linux version 3.0.0-15-generic (buildd@allspice) (gcc version 4.6.1 (Ubuntu/Linaro 4.6.1-9ubuntu3) ) #24-Ubuntu
SMP Mon Dec 12 15:23:55 UTC 2011 (Ubuntu 3.0.0-15.24-generic 3.0.13)
DMI: Dell Inc. Vostro 3300/030DMJ, BIOS A10 10/25/2010

Works fine on external VGA screen, while it flickered before.

joujek (joujek) wrote :

Works fine after updated to 3.0.0-15 from proposed.
Vostro 3300 @ i5
Thanks a lot!

I've just installed 3.0.0-15-generic from proposed and the issue is fixed on Dell Inspiron N4010 using VGA-OUT.

Thanks!

charles (charles-bourasseau) wrote :

Works fine on Vostro 3300 for me too.

Thanks :)

Miguel Ramiro (mike.longbow) wrote :

I guess Vostro 3300 is more than confirmed. Mine works too.

I've been following this for a long time now. Thanks to all who worked on it.

Launchpad Janitor (janitor) wrote :
Download full text (13.9 KiB)

This bug was fixed in the package linux - 3.0.0-15.25

---------------
linux (3.0.0-15.25) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #910894

  [ Upstream Kernel Changes ]

  * Revert "clockevents: Set noop handler in clockevents_exchange_device()"
    - LP: #904569

linux (3.0.0-15.24) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #903188

  [ Alex Bligh ]

  * (config) Change Xen paravirt drivers to be built-in
    - LP: #886521

  [ Chase Douglas ]

  * Revert "SAUCE: HID: hid-ntrig: add support for 1b96:0006 model"
    - LP: #724831
  * Revert "SAUCE: hid: ntrig: Remove unused device ids"
    - LP: #724831

  [ Seth Forshee ]

  * SAUCE: dell-wmi: Demote unknown WMI event message to pr_debug
    - LP: #581312

  [ Upstream Kernel Changes ]

  * Revert "leds: save the delay values after a successful call to
    blink_set()"
    - LP: #893741
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * drm/i915: fix IVB cursor support
    - LP: #893222
  * drm/i915: always set FDI composite sync bit
    - LP: #893222
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * ALSA: hda - Don't add elements of other codecs to vmaster slave
    - LP: #893741
  * virtio-pci: fix use after free
    - LP: #893741
  * ASoC: Don't use wm8994->control_data in wm8994_readable_register()
    - LP: #893741
  * sh: Fix cached/uncaced address calculation in 29bit mode
    - LP: #893741
  * drm/i915: Fix object refcount leak on mmappable size limit error path.
    - LP: #893741
  * drm/nouveau: initialize chan->fence.lock before use
    - LP: #893741
  * drm/radeon/kms: make an aux failure debug only
    - LP: #893741
  * ALSA: usb-audio - Check the dB-range validity in the later read, too
    - LP: #893741
  * ALSA: usb-audio - Fix the missing volume quirks at delayed init
    - LP: #893741
  * KEYS: Fix a NULL pointer deref in the user-defined key type
    - LP: #893741
  * hfs: add sanity check for file name length
    - LP: #893741
  * drm/radeon: add some missing FireMV pci ids
    - LP: #893741
  * sfi: table irq 0xFF means 'no interrupt'
    - LP: #893741
  * x86, mrst: use a temporary variable for SFI irq
    - LP: #893741
  * b43: refuse to load unsupported firmware
    - LP: #893741
  * md/raid5: abort any pending parity operations when array fails.
    - LP: #893741
  * mfd: Fix twl4030 dependencies for audio codec
    - LP: #893741
  * xen:pvhvm: enable PVHVM VCPU placement when using more than 32 CPUs.
    - LP: #893741
  * xen-gntalloc: integer overflow in gntalloc_ioctl_alloc()
    - LP: #893741
  * xen-gntalloc: signedness bug in add_grefs()
    - LP: #893741
  * powerpc/ps3: Fix lost SMP IPIs
    - LP: #893741
  * powerpc: Copy down exception vectors after feature fixups
    - LP: #893741
  * backing-dev: ensure wakeup_timer is deleted
    - LP: #893741
  * block: Always check length of all iov entries in blk_rq_map_user_iov()
    - LP: #893741
  * Linux 3.0.10
    - LP: #893741
  * drm/i915: add multi-threaded forcewake support
    - LP: #891270
  * (pre-sta...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
cherep (acherep) wrote :

hi,
will there be any patch to ubuntu 10.10 Maverick?

Scott Talbert (swt-techie) wrote :

@Seth,

It looks like this fix has caused a regression for at least one user, please see bug #925350.

Hi,

the problem came back with linux kernel 3.5.3 (using Archlinux with latest intel 2.20.6 drivers).

Whoops please ignore my last comment, wrong kernel version.

dino99 (9d9) on 2013-05-18
Changed in linux (Ubuntu Natty):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.